﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Diagnosis.aspx.cs" Inherits="ManualDataEntry.Forms.Diagnosis" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Diagnosis entry form</title>
	<webopt:BundleReference runat="server" Path="~/Content/css" />
</head>
<body>
	<div class="navbar navbar-inverse navbar-fixed-top">
		<div class="container">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<a class="navbar-brand" runat="server" href="~/">Home</a>
			</div>
			<div class="navbar-collapse collapse">
				<ul class="nav navbar-nav">
				</ul>
			</div>
		</div>
	</div>
	<div class="container body-content">
		<form id="form1" runat="server">
			<div>
				<asp:Panel ID="pnDiseasesEdit" SkinID="popup" runat="server" GroupingText="Disease">
					<asp:HiddenField ID="hfWhich" runat="server" />
					<asp:Panel ID="Panel3" runat="server">
						<asp:Label ID="Label4" runat="server">&nbsp;</asp:Label>
					</asp:Panel>
					<asp:Label ID="lblGeneralInfo" CssClass="Inform" runat="server" Text=""></asp:Label><br />
					<br />
					<asp:Table ID="Table1" CssClass="diseases" runat="server">
						<asp:TableRow>
							<asp:TableCell>
								<asp:Label ID="lbICD" runat="server" Text="ICD code: "></asp:Label>
							</asp:TableCell>
							<asp:TableCell ColumnSpan="2">
								<asp:TextBox ID="tbICD" runat="server"></asp:TextBox><asp:Label ID="lblInfoICD" CssClass="Inform" runat="server" Text=""></asp:Label>
								<asp:Panel ID="pn_ICD" runat="server" ClientIDMode="Static">
								</asp:Panel>
							</asp:TableCell>
							<asp:TableCell></asp:TableCell>
						</asp:TableRow>
						<asp:TableRow>
							<asp:TableCell>
								<asp:Label ID="lbDiagDesc" runat="server" Text="Diagnosis description: "></asp:Label>
							</asp:TableCell>
							<asp:TableCell>
								<asp:TextBox ID="tbDiagDesc" SkinID="aaa" CssClass="results_pane_big" runat="server"></asp:TextBox>
								<asp:Panel ID="pn_DiagDesc" runat="server" ClientIDMode="Static">
								</asp:Panel>
							</asp:TableCell>
							<asp:TableCell>
								<asp:Label ID="lblInfoDiagDesc" CssClass="Inform" runat="server" Text=""></asp:Label>
							</asp:TableCell>
							<asp:TableCell></asp:TableCell>
						</asp:TableRow>
						<asp:TableRow>
							<asp:TableCell>
								<asp:Label ID="lbOnsetDate" runat="server" Text="Onset date: "></asp:Label>
							</asp:TableCell>
							<asp:TableCell>
								<asp:TextBox ID="tbOnsetDate" SkinID="aaa" CssClass="datepick lessWide" runat="server"></asp:TextBox>
								<asp:CompareValidator ID="vaOnsetDate" runat="server"
									ControlToValidate="tbOnsetDate"
									ErrorMessage="Invalid date format."
									Operator="DataTypeCheck" SetFocusOnError="True" CssClass="ERR" Type="Date">!</asp:CompareValidator>
								<asp:Label ID="lblInfoOnsetDate" CssClass="Inform" runat="server" Text=""></asp:Label>
							</asp:TableCell>
							<asp:TableCell>
							</asp:TableCell>
							<asp:TableCell></asp:TableCell>
						</asp:TableRow>
						<asp:TableRow>
							<asp:TableCell>
								<asp:Label ID="lbEndDate" runat="server" Text="End date: "></asp:Label>
							</asp:TableCell>
							<asp:TableCell>
								<asp:TextBox ID="tbEndDate" SkinID="aaa" CssClass="datepick lessWide" runat="server"></asp:TextBox>
								<asp:CompareValidator ID="vaEnddate" runat="server"
									ControlToValidate="tbEndDate"
									ErrorMessage="Invalid date format."
									Operator="DataTypeCheck" SetFocusOnError="True" CssClass="ERR" Type="Date">!</asp:CompareValidator>
								<asp:Label ID="lblInfoEndDate" CssClass="Inform" runat="server" Text=""></asp:Label>
							</asp:TableCell>
							<asp:TableCell>
							</asp:TableCell>
							<asp:TableCell></asp:TableCell>
						</asp:TableRow>
						<asp:TableRow>
							<asp:TableCell>
								<asp:Label ID="lbResolution" runat="server" Text="Resolution circumstances: "></asp:Label>
							</asp:TableCell>
							<asp:TableCell ColumnSpan="2">
								<asp:TextBox ID="tbResolution" SkinID="aaa" CssClass="nomargin" runat="server"></asp:TextBox>&nbsp;
                        <asp:Label ID="lblInfoResolution" CssClass="Inform" runat="server" Text=""></asp:Label>
							</asp:TableCell>
							<asp:TableCell></asp:TableCell>
						</asp:TableRow>
					</asp:Table>
					<asp:ValidationSummary ID="vsDiseasesEdit" runat="server" CssClass="ERR" />
					<asp:Panel ID="Panel5" runat="server">
						<asp:Label ID="Label6" runat="server">&nbsp;</asp:Label>
					</asp:Panel>
					<asp:Table ID="Table2" runat="server">
						<asp:TableRow>
							<asp:TableCell>
								<asp:Button ID="ibSave" runat="server" ToolTip="Save" OnClick="btnSave_Click" SkinID="AllergySave" Height="24" Text="Save" />
							</asp:TableCell>
						</asp:TableRow>
					</asp:Table>
					<asp:Panel ID="Panel4" runat="server">
						<asp:Label ID="Label5" runat="server">&nbsp;</asp:Label>
					</asp:Panel>
				</asp:Panel>
			</div>
		</form>
	</div>
</body>
</html>
