﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="ManualDataEntry._Default" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">

    <div class="jumbotron">
        <h1>Personal medical data entry</h1>
        <p class="lead">This application allow patients to record their activities, status and treatment.</p>
    </div>

    <div class="row">
        <div class="col-md-4">
            <h2>Patient summary form</h2>
            <p>
                Fill in your name, surname, date of birth, European Health Card number, personal identification number, home address, phone number, email address and insurance information.
            </p>
            <p>
                <a class="btn btn-default" href="Forms/PatientSummary.aspx">Start filling &raquo;</a>
            </p>
        </div>
        <div class="col-md-4">
            <h2>Diagnosis entry form</h2>
            <p>
                Fill in your ICD code for the diagnosis, diagnosis description, date of diagnosis, date of recovery and additional information concerning recovery.
            </p>
            <p>
                <a class="btn btn-default" href="Forms/Diagnosis.aspx">Start filling &raquo;</a>
            </p>
        </div>
        <div class="col-md-4">
            <h2>Medication entry form</h2>
            <p>
                Fill in your prescribed medication, strength of the medication, prescribed units per day, prescription start and end dates.

            </p>
            <p>
                <a class="btn btn-default" href="Forms/Medication.aspx">Start filling &raquo;</a>
            </p>
        </div>
    </div>

</asp:Content>
