﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Medication.aspx.cs" Inherits="ManualDataEntry.Forms.Medication" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Medication entry form</title>
	<webopt:BundleReference runat="server" Path="~/Content/css" />
</head>
<body>
	<div class="navbar navbar-inverse navbar-fixed-top">
		<div class="container">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<a class="navbar-brand" runat="server" href="~/">Home</a>
			</div>
			<div class="navbar-collapse collapse">
				<ul class="nav navbar-nav">
				</ul>
			</div>
		</div>
	</div>
	<div class="container body-content">
		<form id="form1" runat="server">
			<div>
				<asp:Panel ID="pnMedicationEdit" SkinID="popup" runat="server" GroupingText="Medication">
					<asp:HiddenField ID="hfWhich" runat="server" />
					<asp:Panel ID="Panel3" runat="server">
						<asp:Label ID="Label4" runat="server">&nbsp;</asp:Label>
					</asp:Panel>
					<asp:Table ID="Table1" runat="server">
						<asp:TableRow>
							<asp:TableCell>
								<asp:Label ID="lbProduct" runat="server" Text="Product: "></asp:Label>
							</asp:TableCell>
							<asp:TableCell>
								<asp:TextBox ID="tbProduct" SkinID="aaa" CssClass="results_pane_big" runat="server"></asp:TextBox>
								<asp:Panel ID="pn_Product" runat="server" ClientIDMode="Static">
								</asp:Panel>
								<asp:HiddenField ID="hfProduct" runat="server" ClientIDMode="Static" />
							</asp:TableCell>
							<asp:TableCell>
								<asp:Label ID="lblInfoProduct" CssClass="Inform" runat="server" Text=""></asp:Label>
							</asp:TableCell>
							<asp:TableCell></asp:TableCell>
						</asp:TableRow>
						<asp:TableRow Visible="false">
							<asp:TableCell>
								<asp:Label ID="lbIngridient" runat="server" Text="Active ingridient: "></asp:Label>
							</asp:TableCell>
							<asp:TableCell>
								<asp:Label ID="lbIngridientSource" ClientIDMode="Static" runat="server">lbIngridientSource</asp:Label>
								<asp:HiddenField ID="hfIngridientSource" runat="server" ClientIDMode="Static" />
							</asp:TableCell>
							<asp:TableCell>
								<asp:Label ID="lblInfoSource" CssClass="Inform" runat="server" Text=""></asp:Label>
							</asp:TableCell>
							<asp:TableCell>&nbsp;</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow Visible="false">
							<asp:TableCell>
								<asp:Label ID="lbForm" runat="server" Text="Form: "></asp:Label>
							</asp:TableCell>
							<asp:TableCell>
								<asp:Label ID="lbFormSouce" ClientIDMode="Static" runat="server"></asp:Label>
								<asp:HiddenField ID="hfFormSouce" runat="server" ClientIDMode="Static" />
							</asp:TableCell>
							<asp:TableCell>
								<asp:Label ID="lblInfoFormSource" CssClass="Inform" runat="server" Text=""></asp:Label>
							</asp:TableCell>
							<asp:TableCell>&nbsp;</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow Style="display: none">
							<asp:TableCell>
								<asp:Label ID="lbATC" runat="server" Text="ATC code: "></asp:Label>
							</asp:TableCell>
							<asp:TableCell>
								<asp:Label ID="lbATCSource" ClientIDMode="Static" runat="server">lbATCSource</asp:Label>
								<asp:HiddenField ID="hfATCSource" runat="server" ClientIDMode="Static" />
							</asp:TableCell>
							<asp:TableCell>
								<asp:Label ID="lblInfoATC" CssClass="Inform" runat="server" Text=""></asp:Label>
							</asp:TableCell>
							<asp:TableCell>&nbsp;</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow>
							<asp:TableCell>
								<asp:Label ID="lbStrength" runat="server" Text="Strength: "></asp:Label>
							</asp:TableCell>
							<asp:TableCell>
								<asp:TextBox ID="tbStrength" SkinID="aaa" CssClass="lessWide" ClientIDMode="Static" runat="server"></asp:TextBox>&nbsp;
                        <asp:Label ID="lblInfoStrength" CssClass="Inform" runat="server" Text=""></asp:Label>
							</asp:TableCell>
							<asp:TableCell></asp:TableCell>
							<asp:TableCell></asp:TableCell>
						</asp:TableRow>
						<asp:TableRow>
							<asp:TableCell>
								<asp:Label ID="lbUnits" runat="server" Text="Number of units per day: "></asp:Label>
							</asp:TableCell>
							<asp:TableCell>
								<asp:TextBox ID="tbUnits" SkinID="aaa" CssClass="lessWide" ClientIDMode="Static" runat="server"></asp:TextBox>&nbsp;
                        <asp:Label ID="lblInfoUnits" CssClass="Inform" runat="server" Text=""></asp:Label>
							</asp:TableCell>
							<asp:TableCell></asp:TableCell>
							<asp:TableCell></asp:TableCell>
						</asp:TableRow>
						<asp:TableRow Style="">
							<asp:TableCell><br /></asp:TableCell>
							<asp:TableCell></asp:TableCell>
							<asp:TableCell></asp:TableCell>
							<asp:TableCell></asp:TableCell>
						</asp:TableRow>
						<asp:TableRow Style="display: none">
							<asp:TableCell>
								<asp:Label ID="lbDose" runat="server" Text="Dose per day: "></asp:Label>
							</asp:TableCell>
							<asp:TableCell>
								<asp:TextBox ID="tbDose" SkinID="aaa" CssClass="lessWide" ClientIDMode="Static" runat="server"></asp:TextBox>&nbsp;
                        <asp:Label ID="lblInfoDose" CssClass="Inform" runat="server" Text=""></asp:Label>
							</asp:TableCell>
							<asp:TableCell></asp:TableCell>
							<asp:TableCell></asp:TableCell>
						</asp:TableRow>
						<asp:TableRow>
							<asp:TableCell>
								<asp:Label ID="lbOnsetDate" runat="server" Text="Treatment date: "></asp:Label>
							</asp:TableCell>
							<asp:TableCell>
								<asp:TextBox ID="tbOnsetDate" SkinID="aaa" CssClass="datepick lessWide" runat="server"></asp:TextBox>&nbsp;
                        <asp:Label ID="lblInfoOnsetDate" CssClass="Inform" runat="server" Text=""></asp:Label>
								<asp:CompareValidator ID="vaOnsetDate" runat="server"
									ControlToValidate="tbOnsetDate"
									ErrorMessage="Invalid date format."
									Operator="DataTypeCheck" SetFocusOnError="True" CssClass="ERR" Type="Date">!</asp:CompareValidator>
							</asp:TableCell>
							<asp:TableCell>
							</asp:TableCell>
							<asp:TableCell></asp:TableCell>
						</asp:TableRow>
						<asp:TableRow>
							<asp:TableCell>
								<asp:Label ID="lbDuration" runat="server" Text="Duration in days: "></asp:Label>
							</asp:TableCell>
							<asp:TableCell>
								<asp:TextBox ID="tbDuration" SkinID="aaa" CssClass="lessWide datepick" runat="server"></asp:TextBox>&nbsp;
                        <asp:Label ID="lblInfoDuration" CssClass="Inform" runat="server" Text=""></asp:Label>
							</asp:TableCell>
							<asp:TableCell>&nbsp;</asp:TableCell>
							<asp:TableCell></asp:TableCell>
						</asp:TableRow>
					</asp:Table>
					<asp:ValidationSummary ID="vsMedicationEdit" runat="server" CssClass="ERR smaller" />
					<asp:Panel ID="Panel5" runat="server">
						<asp:Label ID="Label6" runat="server">&nbsp;</asp:Label>
					</asp:Panel>
					<asp:Table ID="Table2" runat="server">
						<asp:TableRow>
							<asp:TableCell>
								<asp:Button ID="ibSave" runat="server" ToolTip="Save" OnClick="btnSave_Click" SkinID="AllergySave" Height="24" Text="Save" />
							</asp:TableCell>
						</asp:TableRow>
					</asp:Table>
					<asp:Panel ID="Panel4" runat="server">
						<asp:Label ID="Label5" runat="server">&nbsp;</asp:Label>
					</asp:Panel>
				</asp:Panel>
			</div>
		</form>
	</div>
</body>
</html>
