﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="PatientSummary.aspx.cs" Inherits="ManualDataEntry.Forms.PatientSummary" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Personal information form</title>
	<webopt:BundleReference runat="server" Path="~/Content/css" />
</head>
<body>
	<div class="navbar navbar-inverse navbar-fixed-top">
		<div class="container">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<a class="navbar-brand" runat="server" href="~/">Home</a>
			</div>
			<div class="navbar-collapse collapse">
				<ul class="nav navbar-nav">
				</ul>
			</div>
		</div>
	</div>
	<div class="container body-content">
		<form id="form1" runat="server">
			<div style="width: 940px; margin-top: 50px;">
				<fieldset>
					<legend>Personal information:</legend>
					<asp:Table runat="server" CellSpacing="0" CssClass="personalInfoTable" GridLines="None">
						<asp:TableRow ID="TableRow3" runat="server">
							<asp:TableCell runat="server">
								<asp:Label ID="lbGiven" runat="server" Text="Name:"></asp:Label>
							</asp:TableCell>
							<asp:TableCell Wrap="false" runat="server">
								<asp:TextBox ID="tbGiven" runat="server"></asp:TextBox>
								<asp:RequiredFieldValidator CssClass="ERR" ID="RequiredFieldValidator1" runat="server" ControlToValidate="tbGiven" ErrorMessage="required_field">!</asp:RequiredFieldValidator>
							</asp:TableCell>

							<asp:TableCell ColumnSpan="3" runat="server">
								<asp:Label CssClass="Inform" ID="lblGivenInfo" runat="server"></asp:Label>
							</asp:TableCell>

						</asp:TableRow>

						<asp:TableRow ID="TableRow2" runat="server">
							<asp:TableCell runat="server">
								<asp:Label ID="lbSurname" runat="server" Text="Surname:"></asp:Label>
							</asp:TableCell>
							<asp:TableCell Wrap="false" runat="server">
								<asp:TextBox ID="tbSurname" runat="server"></asp:TextBox>
								<asp:RequiredFieldValidator CssClass="ERR" ID="RequiredFieldValidator0" runat="server" ControlToValidate="tbSurname" ErrorMessage="required_field">!</asp:RequiredFieldValidator>
							</asp:TableCell>
							<asp:TableCell ID="TableCell1" ColumnSpan="3" runat="server">
								<asp:Label CssClass="Inform" ID="lblSurnameInfo" runat="server"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>


						<asp:TableRow ID="TableRow18" runat="server">
							<asp:TableCell runat="server">
								<asp:Label ID="lbDateOfBirth" runat="server" Text="Date of birth:"></asp:Label>
							</asp:TableCell>
							<asp:TableCell Wrap="false" runat="server">
								<asp:TextBox ID="tbDateOfBirth" CssClass="datepick lessWide" runat="server"></asp:TextBox>
								<asp:CompareValidator ID="vaDateOfBirth" CssClass="ERR" runat="server"
									ControlToValidate="tbDateOfBirth"
									ErrorMessage="Invalid date of birth format in set Personal information ."
									Operator="DataTypeCheck" SetFocusOnError="True" Type="Date">!</asp:CompareValidator>
							</asp:TableCell>

							<asp:TableCell ID="TableCell2" ColumnSpan="3" runat="server">
								<asp:Label CssClass="Inform" ID="lblDOBInfo" runat="server"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>


						</asp:TableRow>
						<asp:TableRow ID="TableRow25" runat="server">

							<asp:TableCell runat="server">
								<asp:Label ID="lbGender" runat="server" Text="Gender:"></asp:Label>
							</asp:TableCell>
							<asp:TableCell Wrap="false" runat="server">

								<asp:DropDownList ID="drpGender" runat="server"></asp:DropDownList>


							</asp:TableCell>
							<asp:TableCell ID="TableCell16" ColumnSpan="3" runat="server">
								<asp:Label CssClass="Inform" ID="lblGendInfo" runat="server"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server"></asp:TableCell>
						</asp:TableRow>
						<asp:TableRow ID="TableRow12" runat="server">
							<asp:TableCell ID="TableCell36" runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell ID="TableCell37" runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell ID="TableCell38" runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell ID="TableCell39" runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell ID="TableCell40" runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell ID="TableCell41" runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow ID="TableRow26" CssClass="das" runat="server">
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow ID="TableRow27" CssClass="smaller" runat="server">
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow ID="TableRow4" runat="server">
							<asp:TableCell runat="server">
								<asp:Label ID="lbEHCnumber" runat="server" Text="European health card number:"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">
								<asp:TextBox ID="tbEHCnumber" runat="server"></asp:TextBox>
							</asp:TableCell>
							<asp:TableCell ID="TableCell3" ColumnSpan="3" runat="server">
								<asp:Label CssClass="Inform" ID="lblEHCInfo" runat="server"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>

						</asp:TableRow>
						<asp:TableRow ID="TableRow28" runat="server">
							<asp:TableCell runat="server">
								<asp:Label ID="lbPatientID" runat="server" Text="Patient ID:"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">
								<asp:TextBox ID="tbPatientID" runat="server"></asp:TextBox>
							</asp:TableCell>
							<asp:TableCell ID="TableCell15" ColumnSpan="3" runat="server">
								<asp:Label CssClass="Inform" ID="lblPatIDINFO" runat="server"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>

						</asp:TableRow>
						<asp:TableRow ID="TableRow9" CssClass="das" runat="server">
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow ID="TableRow5" CssClass="smaller" runat="server">
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow ID="TableRow6" runat="server">
							<asp:TableCell runat="server">
								<asp:Label ID="lbStreet" runat="server" Text="Street Address:"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">
								<asp:TextBox ID="tbStreet" runat="server"></asp:TextBox>
							</asp:TableCell>
							<asp:TableCell ID="TableCell17" ColumnSpan="3" runat="server">
								<asp:Label CssClass="Inform" ID="lblStreetInfo" runat="server"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>

						<asp:TableRow ID="TableRow8" runat="server">
							<asp:TableCell ID="TableCell7" runat="server">
								<asp:Label ID="lbCity" runat="server" Text="City:"></asp:Label>
							</asp:TableCell>
							<asp:TableCell ID="TableCell21" runat="server">
								<asp:TextBox ID="tbCity" runat="server"></asp:TextBox>
							</asp:TableCell>
							<asp:TableCell ID="TableCell22" ColumnSpan="3" runat="server">
								<asp:Label CssClass="Inform" ID="lblCityInfo" runat="server"></asp:Label>
							</asp:TableCell>
							<asp:TableCell ID="TableCell23" runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow runat="server">
							<asp:TableCell runat="server">
								<asp:Label ID="lbPost" runat="server" Text="Post code:"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">
								<asp:TextBox ID="tbPost" CssClass="lessWide" runat="server"></asp:TextBox>
							</asp:TableCell>
							<asp:TableCell ID="TableCell5" ColumnSpan="3" runat="server">
								<asp:Label CssClass="Inform" ID="lblPostInfo" runat="server"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow ID="TableRow29" runat="server">
							<asp:TableCell ID="TableCell4" runat="server">
								<asp:Label ID="lbCountry" runat="server" Text="Country:"></asp:Label>
							</asp:TableCell>
							<asp:TableCell ID="TableCell18" Wrap="false" runat="server">
								<asp:DropDownList ID="drpCountry" runat="server"></asp:DropDownList>
								<asp:RequiredFieldValidator CssClass="ERR" ID="RequiredFieldValidator3" runat="server" ControlToValidate="drpCountry" ErrorMessage="required_field">!</asp:RequiredFieldValidator>
							</asp:TableCell>
							<asp:TableCell ID="TableCell19" ColumnSpan="3" runat="server">
								<asp:Label CssClass="Inform" ID="lblCountryInfo" runat="server"></asp:Label>
							</asp:TableCell>
							<asp:TableCell ID="TableCell20" runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>

						<asp:TableRow ID="TableRow30" runat="server">
							<asp:TableCell runat="server">
								<asp:Label ID="lbPhone" runat="server" Text="Telephone number:"></asp:Label>
							</asp:TableCell>
							<asp:TableCell Wrap="false" runat="server">
								<asp:TextBox ID="tbPhone" runat="server"></asp:TextBox>
							</asp:TableCell>
							<asp:TableCell ID="TableCell6" ColumnSpan="3" runat="server">
								<asp:Label CssClass="Inform" ID="lblPhoneInfo" runat="server"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>



						<asp:TableRow runat="server">
							<asp:TableCell runat="server">
								<asp:Label ID="lbEmail" runat="server" Text="E-mail address:"></asp:Label>
							</asp:TableCell>
							<asp:TableCell Wrap="false" runat="server">
								<asp:TextBox ID="tbEmail" runat="server"></asp:TextBox>
							</asp:TableCell>

							<asp:TableCell ID="TableCell8" ColumnSpan="3" runat="server">
								<asp:Label CssClass="Inform" ID="lblEmailInfo" runat="server"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>

						<asp:TableRow ID="TableRow21" CssClass="das" runat="server">
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow ID="TableRow1" CssClass="smaller" runat="server">
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow ID="TableRow10" runat="server">
							<asp:TableCell runat="server">
								<asp:Label ID="lbMICompany" runat="server" Text="Medical Insurance company:"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">
								<asp:TextBox ID="tbMICompany" runat="server"></asp:TextBox>
							</asp:TableCell>

							<asp:TableCell ID="TableCell9" ColumnSpan="3" runat="server">
								<asp:Label CssClass="Inform" ID="lblMICInfo" runat="server"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>

						<asp:TableRow runat="server">

							<asp:TableCell runat="server">
								<asp:Label ID="lbMICnumber" runat="server" Text="Insurance number:"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">
								<asp:TextBox ID="tbMICnumber" runat="server"></asp:TextBox>
							</asp:TableCell>

							<asp:TableCell ID="TableCell10" ColumnSpan="3" runat="server">
								<asp:Label CssClass="Inform" ID="lblMICNinfo" runat="server"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>

						<asp:TableRow runat="server">
							<asp:TableCell runat="server">
								<asp:Label ID="lbMICphone" runat="server" Text="Insurance phone:"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">
								<asp:TextBox ID="tbMICphone" runat="server"></asp:TextBox>
							</asp:TableCell>

							<asp:TableCell ID="TableCell11" ColumnSpan="3" runat="server">
								<asp:Label CssClass="Inform" ID="lblMICPInfo" runat="server"></asp:Label>
							</asp:TableCell>
							<asp:TableCell runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow ID="TableRow7" CssClass="das" runat="server">
							<asp:TableCell ID="TableCell24" runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell ID="TableCell25" runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell ID="TableCell26" runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell ID="TableCell27" runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell ID="TableCell28" runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell ID="TableCell29" runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow ID="TableRow11" CssClass="smaller" runat="server">
							<asp:TableCell ID="TableCell30" runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell ID="TableCell31" runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell ID="TableCell32" runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell ID="TableCell33" runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell ID="TableCell34" runat="server">&nbsp;</asp:TableCell>
							<asp:TableCell ID="TableCell35" runat="server">&nbsp;</asp:TableCell>
						</asp:TableRow>
					</asp:Table>
					<asp:Table ID="Table2" runat="server">
						<asp:TableRow ID="TableRow15" runat="server">
							<asp:TableCell runat="server" ColumnSpan="6">
								<asp:Button ID="btSavePersonalInformation" OnClick="btSavePersonalInformation_Click" runat="server" ToolTip="Save" Height="24" Text="Save" />
							</asp:TableCell>
						</asp:TableRow>
					</asp:Table>
				</fieldset>
			</div>
		</form>
	</div>
</body>
</html>
